weibreg.fit {eha} | R Documentation

## Weibull regression

### Description

This function is called by `weibreg`, but it can also be directly called by a user.

### Usage

    weibreg.fit(X, Y, strata, offset, init, shape, control, center = TRUE)

### Arguments

`X` | The design (covariate) matrix.
`Y` | A survival object, the response.
`strata` | A stratum variable.
`offset` | Offset.
`init` | Initial regression parameter values.
`shape` | If positive, a fixed value of the shape parameter in the Weibull distribution. Otherwise, the shape is estimated.
`control` | Controls convergence and output.
`center` | Should covariates be centered?

### Details

See `weibreg` for more detail.

### Value

`coefficients` | Estimated regression coefficients plus estimated scale and shape coefficients, sorted by strata, if present.
`var` |
`loglik` | Vector of length 2. The first component is the maximized loglihood with only scale and shape in the model, the second the final maximum.
`score` | Score test statistic at initial values
`linear.predictors` | Linear predictors for each interval.
`means` | Means of the covariates
`conver` | TRUE if convergence
`fail` | TRUE if failure
`iter` | Number of Newton-Raphson iterates.
`n.strata` | The number of strata in the data.

### Author(s)

Göran Broström

### See Also

`weibreg`

[Package eha version 2.6.0 Index]